package org.eclipse.jdt.internal.compiler.tool;

package .tmp;

import javax.tools.Diagnostic;
import javax.tools.DiagnosticListener;
import javax.tools.JavaFileObject;
import org.eclipse.jdt.core.compiler.CategorizedProblem;
import org.eclipse.jdt.internal.compiler.problem.DefaultProblemFactory;
import org.eclipse.jdt.internal.compiler.tool.EclipseCompilerImpl;

class null extends DefaultProblemFactory {
  public CategorizedProblem createProblem(char[] originatingFileName, int problemId, String[] problemArguments, String[] messageArguments, int severity, int startPosition, int endPosition, int lineNumber, int columnNumber) {
    DiagnosticListener<? super JavaFileObject> diagListener = EclipseCompilerImpl.this.diagnosticListener;
    if (diagListener != null)
      diagListener.report((Diagnostic<? extends JavaFileObject>)new Object(this, problemId, columnNumber, endPosition, severity, lineNumber, problemArguments, startPosition, originatingFileName)); 
    return super.createProblem(originatingFileName, problemId, problemArguments, messageArguments, severity, startPosition, endPosition, lineNumber, columnNumber);
  }
  
  public CategorizedProblem createProblem(char[] originatingFileName, int problemId, String[] problemArguments, int elaborationID, String[] messageArguments, int severity, int startPosition, int endPosition, int lineNumber, int columnNumber) {
    DiagnosticListener<? super JavaFileObject> diagListener = EclipseCompilerImpl.this.diagnosticListener;
    if (diagListener != null)
      diagListener.report((Diagnostic<? extends JavaFileObject>)new Object(this, problemId, columnNumber, endPosition, severity, lineNumber, problemArguments, startPosition, originatingFileName)); 
    return super.createProblem(originatingFileName, problemId, problemArguments, elaborationID, messageArguments, severity, startPosition, endPosition, lineNumber, columnNumber);
  }
}
